//
//  SFSymbols+indicesSymbols.swift
//
//  Created by littleossa
//
//  enjoy!

import Foundation

extension SFSymbols {
    
    public static var indicesSymbols: [SFSymbols] {
        var indicesSymbols = [SFSymbols]()
        
        if #available(iOS 13.0, macOS 11.0, macCatalyst 13.0, tvOS 13.0, watchOS 6.0, *) {
            indicesSymbols += SFSymbols.availableIndicesSymbolsFromSFSymbols1
        }
        if #available(iOS 14.0, macOS 11.0, macCatalyst 14.0, tvOS 14.0, watchOS 7.0, *) {
            indicesSymbols += SFSymbols.availableIndicesSymbolsFromSFSymbols2
        }
        if #available(iOS 14.2, macOS 11.0, macCatalyst 14.2, tvOS 14.2, watchOS 7.1, *) {
            indicesSymbols += SFSymbols.availableIndicesSymbolsFromSFSymbols2_1
        }
        
        return indicesSymbols
    }
    
    @available(iOS 13.0, macOS 11.0, macCatalyst 13.0, tvOS 13.0, watchOS 6.0, *)
    private static var availableIndicesSymbolsFromSFSymbols1: [SFSymbols] {
        [.questionmarkCircle, .questionmarkCircleFill, .questionmarkSquare, .questionmarkSquareFill, .exclamationmarkCircle, .exclamationmarkCircleFill, .exclamationmarkSquare, .exclamationmarkSquareFill, .aCircle, .aCircleFill, .aSquare, .aSquareFill, .bCircle, .bCircleFill, .bSquare, .bSquareFill, .cCircle, .cCircleFill, .cSquare, .cSquareFill, .dCircle, .dCircleFill, .dSquare, .dSquareFill, .eCircle, .eCircleFill, .eSquare, .eSquareFill, .fCircle, .fCircleFill, .fSquare, .fSquareFill, .gCircle, .gCircleFill, .gSquare, .gSquareFill, .hCircle, .hCircleFill, .hSquare, .hSquareFill, .iCircle, .iCircleFill, .iSquare, .iSquareFill, .jCircle, .jCircleFill, .jSquare, .jSquareFill, .kCircle, .kCircleFill, .kSquare, .kSquareFill, .lCircle, .lCircleFill, .lSquare, .lSquareFill, .mCircle, .mCircleFill, .mSquare, .mSquareFill, .nCircle, .nCircleFill, .nSquare, .nSquareFill, .oCircle, .oCircleFill, .oSquare, .oSquareFill, .pCircle, .pCircleFill, .pSquare, .pSquareFill, .qCircle, .qCircleFill, .qSquare, .qSquareFill, .rCircle, .rCircleFill, .rSquare, .rSquareFill, .sCircle, .sCircleFill, .sSquare, .sSquareFill, .tCircle, .tCircleFill, .tSquare, .tSquareFill, .uCircle, .uCircleFill, .uSquare, .uSquareFill, .vCircle, .vCircleFill, .vSquare, .vSquareFill, .wCircle, .wCircleFill, .wSquare, .wSquareFill, .xCircle, .xCircleFill, .xSquare, .xSquareFill, .yCircle, .yCircleFill, .ySquare, .ySquareFill, .zCircle, .zCircleFill, .zSquare, .zSquareFill, .dollarsignCircle, .dollarsignCircleFill, .dollarsignSquare, .dollarsignSquareFill, .centsignCircle, .centsignCircleFill, .centsignSquare, .centsignSquareFill, .yensignCircle, .yensignCircleFill, .yensignSquare, .yensignSquareFill, .sterlingsignCircle, .sterlingsignCircleFill, .sterlingsignSquare, .sterlingsignSquareFill, .francsignCircle, .francsignCircleFill, .francsignSquare, .francsignSquareFill, .florinsignCircle, .florinsignCircleFill, .florinsignSquare, .florinsignSquareFill, .turkishlirasignCircle, .turkishlirasignCircleFill, .turkishlirasignSquare, .turkishlirasignSquareFill, .rublesignCircle, .rublesignCircleFill, .rublesignSquare, .rublesignSquareFill, .eurosignCircle, .eurosignCircleFill, .eurosignSquare, .eurosignSquareFill, .dongsignCircle, .dongsignCircleFill, .dongsignSquare, .dongsignSquareFill, .indianrupeesignCircle, .indianrupeesignCircleFill, .indianrupeesignSquare, .indianrupeesignSquareFill, .tengesignCircle, .tengesignCircleFill, .tengesignSquare, .tengesignSquareFill, .pesetasignCircle, .pesetasignCircleFill, .pesetasignSquare, .pesetasignSquareFill, .pesosignCircle, .pesosignCircleFill, .pesosignSquare, .pesosignSquareFill, .kipsignCircle, .kipsignCircleFill, .kipsignSquare, .kipsignSquareFill, .wonsignCircle, .wonsignCircleFill, .wonsignSquare, .wonsignSquareFill, .lirasignCircle, .lirasignCircleFill, .lirasignSquare, .lirasignSquareFill, .australsignCircle, .australsignCircleFill, .australsignSquare, .australsignSquareFill, .hryvniasignCircle, .hryvniasignCircleFill, .hryvniasignSquare, .hryvniasignSquareFill, .nairasignCircle, .nairasignCircleFill, .nairasignSquare, .nairasignSquareFill, .guaranisignCircle, .guaranisignCircleFill, .guaranisignSquare, .guaranisignSquareFill, .coloncurrencysignCircle, .coloncurrencysignCircleFill, .coloncurrencysignSquare, .coloncurrencysignSquareFill, .cedisignCircle, .cedisignCircleFill, .cedisignSquare, .cedisignSquareFill, .cruzeirosignCircle, .cruzeirosignCircleFill, .cruzeirosignSquare, .cruzeirosignSquareFill, .tugriksignCircle, .tugriksignCircleFill, .tugriksignSquare, .tugriksignSquareFill, .millsignCircle, .millsignCircleFill, .millsignSquare, .millsignSquareFill, .manatsignCircle, .manatsignCircleFill, .manatsignSquare, .manatsignSquareFill, .rupeesignCircle, .rupeesignCircleFill, .rupeesignSquare, .rupeesignSquareFill, .bahtsignCircle, .bahtsignCircleFill, .bahtsignSquare, .bahtsignSquareFill, .larisignCircle, .larisignCircleFill, .larisignSquare, .larisignSquareFill, .bitcoinsignCircle, .bitcoinsignCircleFill, .bitcoinsignSquare, .bitcoinsignSquareFill, ._0Circle, ._0CircleFill, ._0Square, ._0SquareFill, ._1Circle, ._1CircleFill, ._1Square, ._1SquareFill, ._2Circle, ._2CircleFill, ._2Square, ._2SquareFill, ._3Circle, ._3CircleFill, ._3Square, ._3SquareFill, ._4Circle, ._4CircleFill, ._4Square, ._4SquareFill, ._4AltCircle, ._4AltCircleFill, ._4AltSquare, ._4AltSquareFill, ._5Circle, ._5CircleFill, ._5Square, ._5SquareFill, ._6Circle, ._6CircleFill, ._6Square, ._6SquareFill, ._6AltCircle, ._6AltCircleFill, ._6AltSquare, ._6AltSquareFill, ._7Circle, ._7CircleFill, ._7Square, ._7SquareFill, ._8Circle, ._8CircleFill, ._8Square, ._8SquareFill, ._9Circle, ._9CircleFill, ._9Square, ._9SquareFill, ._9AltCircle, ._9AltCircleFill, ._9AltSquare, ._9AltSquareFill, ._00Circle, ._00CircleFill, ._00Square, ._00SquareFill, ._01Circle, ._01CircleFill, ._01Square, ._01SquareFill, ._02Circle, ._02CircleFill, ._02Square, ._02SquareFill, ._03Circle, ._03CircleFill, ._03Square, ._03SquareFill, ._04Circle, ._04CircleFill, ._04Square, ._04SquareFill, ._05Circle, ._05CircleFill, ._05Square, ._05SquareFill, ._06Circle, ._06CircleFill, ._06Square, ._06SquareFill, ._07Circle, ._07CircleFill, ._07Square, ._07SquareFill, ._08Circle, ._08CircleFill, ._08Square, ._08SquareFill, ._09Circle, ._09CircleFill, ._09Square, ._09SquareFill, ._10Circle, ._10CircleFill, ._10Square, ._10SquareFill, ._11Circle, ._11CircleFill, ._11Square, ._11SquareFill, ._12Circle, ._12CircleFill, ._12Square, ._12SquareFill, ._13Circle, ._13CircleFill, ._13Square, ._13SquareFill, ._14Circle, ._14CircleFill, ._14Square, ._14SquareFill, ._15Circle, ._15CircleFill, ._15Square, ._15SquareFill, ._16Circle, ._16CircleFill, ._16Square, ._16SquareFill, ._17Circle, ._17CircleFill, ._17Square, ._17SquareFill, ._18Circle, ._18CircleFill, ._18Square, ._18SquareFill, ._19Circle, ._19CircleFill, ._19Square, ._19SquareFill, ._20Circle, ._20CircleFill, ._20Square, ._20SquareFill, ._21Circle, ._21CircleFill, ._21Square, ._21SquareFill, ._22Circle, ._22CircleFill, ._22Square, ._22SquareFill, ._23Circle, ._23CircleFill, ._23Square, ._23SquareFill, ._24Circle, ._24CircleFill, ._24Square, ._24SquareFill, ._25Circle, ._25CircleFill, ._25Square, ._25SquareFill, ._26Circle, ._26CircleFill, ._26Square, ._26SquareFill, ._27Circle, ._27CircleFill, ._27Square, ._27SquareFill, ._28Circle, ._28CircleFill, ._28Square, ._28SquareFill, ._29Circle, ._29CircleFill, ._29Square, ._29SquareFill, ._30Circle, ._30CircleFill, ._30Square, ._30SquareFill, ._31Circle, ._31CircleFill, ._31Square, ._31SquareFill, ._32Circle, ._32CircleFill, ._32Square, ._32SquareFill, ._33Circle, ._33CircleFill, ._33Square, ._33SquareFill, ._34Circle, ._34CircleFill, ._34Square, ._34SquareFill, ._35Circle, ._35CircleFill, ._35Square, ._35SquareFill, ._36Circle, ._36CircleFill, ._36Square, ._36SquareFill, ._37Circle, ._37CircleFill, ._37Square, ._37SquareFill, ._38Circle, ._38CircleFill, ._38Square, ._38SquareFill, ._39Circle, ._39CircleFill, ._39Square, ._39SquareFill, ._40Circle, ._40CircleFill, ._40Square, ._40SquareFill, ._41Circle, ._41CircleFill, ._41Square, ._41SquareFill, ._42Circle, ._42CircleFill, ._42Square, ._42SquareFill, ._43Circle, ._43CircleFill, ._43Square, ._43SquareFill, ._44Circle, ._44CircleFill, ._44Square, ._44SquareFill, ._45Circle, ._45CircleFill, ._45Square, ._45SquareFill, ._46Circle, ._46CircleFill, ._46Square, ._46SquareFill, ._47Circle, ._47CircleFill, ._47Square, ._47SquareFill, ._48Circle, ._48CircleFill, ._48Square, ._48SquareFill, ._49Circle, ._49CircleFill, ._49Square, ._49SquareFill, ._50Circle, ._50CircleFill, ._50Square, ._50SquareFill]
    }
    
    @available(iOS 14.0, macOS 11.0, macCatalyst 14.0, tvOS 14.0, watchOS 7.0, *)
    private static var availableIndicesSymbolsFromSFSymbols2: [SFSymbols] {
        [.shekelsignCircle, .shekelsignCircleFill, .shekelsignSquare, .shekelsignSquareFill]
    }
    
    @available(iOS 14.2, macOS 11.0, macCatalyst 14.2, tvOS 14.2, watchOS 7.1, *)
    private static var availableIndicesSymbolsFromSFSymbols2_1: [SFSymbols] {
        [.brazilianrealsignCircle, .brazilianrealsignCircleFill, .brazilianrealsignSquare, .brazilianrealsignSquareFill]
    }
}
