//
//  SFSymbols+allCases.swift
//
//  Created by littleossa
//
//  enjoy!

import Foundation

extension SFSymbols: CaseIterable {
    
    /// A collection of all available values of this type.
    public static var allCases: [SFSymbols] {
        var allCases = [SFSymbols]()
        
        if #available(iOS 13.0, macOS 11.0, macCatalyst 13.0, tvOS 13.0, watchOS 6.0, *) {
            allCases += SFSymbols.availableCasesFromSFSymbols1
        }
        if #available(iOS 14.0, macOS 11.0, macCatalyst 14.0, tvOS 14.0, watchOS 7.0, *) {
            allCases += SFSymbols.availableCasesFromSFSymbols2
        }
        if #available(iOS 14.2, macOS 11.0, macCatalyst 14.2, tvOS 14.2, watchOS 7.1, *) {
            allCases += SFSymbols.availableCasesFromSFSymbols2_1
        }
        if #available(iOS 14.5, macOS 11.3, macCatalyst 14.5, tvOS 14.5, watchOS 7.4, *) {
            allCases += SFSymbols.availableCasesFromSFSymbols2_2
        }
        if #available(iOS 15.0, macOS 12.0, macCatalyst 15.0, tvOS 15.0, watchOS 8.0, *) {
            allCases += SFSymbols.availableCasesFromSFSymbols3
        }
        if #available(iOS 15.1, macOS 12.0, macCatalyst 15.1, tvOS 15.1, watchOS 8.1, *) {
            allCases += SFSymbols.availableCasesFromSFSymbols3_1
        }
        if #available(iOS 15.2, macOS 12.1, macCatalyst 15.2, tvOS 15.2, watchOS 8.3, *) {
            allCases += SFSymbols.availableCasesFromSFSymbols3_2
        }
        if #available(iOS 15.4, macOS 12.3, macCatalyst 15.4, tvOS 15.4, watchOS 8.5, *) {
            allCases += SFSymbols.availableCasesFromSFSymbols3_3
        }
        
        return allCases
    }
    
    /// A collection of all available values of this type from SF Symbols 1
    @available(iOS 13.0, macOS 11.0, macCatalyst 13.0, tvOS 13.0, watchOS 6.0, *)
    private static var availableCasesFromSFSymbols1: [SFSymbols] {
        [.squareAndArrowUp, .squareAndArrowUpFill, .squareAndArrowDown, .squareAndArrowDownFill, .squareAndArrowUpOnSquare, .squareAndArrowUpOnSquareFill, .squareAndArrowDownOnSquare, .squareAndArrowDownOnSquareFill, .pencil, .pencilCircle, .pencilCircleFill, .pencilSlash, .squareAndPencil, .scribble, .pencilAndOutline, .pencilTip, .pencilTipCropCircle, .pencilTipCropCircleBadgePlus, .pencilTipCropCircleBadgeMinus, .lasso, .trash, .trashFill, .trashCircle, .trashCircleFill, .trashSlash, .trashSlashFill, .folder, .folderFill, .folderCircle, .folderCircleFill, .folderBadgePlus, .folderFillBadgePlus, .folderBadgeMinus, .folderFillBadgeMinus, .folderBadgePersonCrop, .folderFillBadgePersonCrop, .paperplane, .paperplaneFill, .tray, .trayFill, .trayAndArrowUp, .trayAndArrowUpFill, .trayAndArrowDown, .trayAndArrowDownFill, .tray2, .tray2Fill, .trayFull, .trayFullFill, .archivebox, .archiveboxFill, .arrowUpBin, .arrowUpBinFill, .doc, .docFill, .docCircle, .docCircleFill, .arrowUpDoc, .arrowUpDocFill, .arrowDownDoc, .arrowDownDocFill, .docText, .docTextFill, .docOnDoc, .docOnDocFill, .docOnClipboard, .docOnClipboardFill, .docRichtext, .docPlaintext, .docAppend, .docTextMagnifyingglass, .calendar, .calendarCircle, .calendarCircleFill, .calendarBadgePlus, .calendarBadgeMinus, .arrowshapeTurnUpLeft, .arrowshapeTurnUpLeftFill, .arrowshapeTurnUpLeftCircle, .arrowshapeTurnUpLeftCircleFill, .arrowshapeTurnUpRight, .arrowshapeTurnUpRightFill, .arrowshapeTurnUpRightCircle, .arrowshapeTurnUpRightCircleFill, .arrowshapeTurnUpLeft2, .arrowshapeTurnUpLeft2Fill, .book, .bookFill, .bookCircle, .bookCircleFill, .bookmark, .bookmarkFill, .rosette, .paperclip, .rectangleAndPaperclip, .link, .linkCircle, .linkCircleFill, .personalhotspot, .person, .personFill, .personCircle, .personCircleFill, .personBadgePlus, .personBadgeMinus, .person2, .person2Fill, .person3, .person3Fill, .personCropCircle, .personCropCircleFill, .personCropCircleBadgePlus, .personCropCircleFillBadgePlus, .personCropCircleBadgeMinus, .personCropCircleFillBadgeMinus, .personCropCircleBadgeCheckmark, .personCropCircleFillBadgeCheckmark, .personCropCircleBadgeXmark, .personCropCircleFillBadgeXmark, .personCropSquare, .personCropSquareFill, .personCropRectangle, .personCropRectangleFill, .command, .option, .alt, .clear, .clearFill, .deleteLeft, .deleteLeftFill, .deleteRight, .deleteRightFill, .shift, .shiftFill, .capslock, .capslockFill, .escape, .power, .globe, .sunMin, .sunMinFill, .sunMax, .sunMaxFill, .sunrise, .sunriseFill, .sunset, .sunsetFill, .sunDust, .sunDustFill, .sunHaze, .sunHazeFill, .moon, .moonFill, .moonCircle, .moonCircleFill, .zzz, .moonZzz, .moonZzzFill, .sparkles, .moonStars, .moonStarsFill, .cloud, .cloudFill, .cloudDrizzle, .cloudDrizzleFill, .cloudRain, .cloudRainFill, .cloudHeavyrain, .cloudHeavyrainFill, .cloudFog, .cloudFogFill, .cloudHail, .cloudHailFill, .cloudSnow, .cloudSnowFill, .cloudSleet, .cloudSleetFill, .cloudBolt, .cloudBoltFill, .cloudBoltRain, .cloudBoltRainFill, .cloudSun, .cloudSunFill, .cloudSunRain, .cloudSunRainFill, .cloudSunBolt, .cloudSunBoltFill, .cloudMoon, .cloudMoonFill, .cloudMoonRain, .cloudMoonRainFill, .cloudMoonBolt, .cloudMoonBoltFill, .smoke, .smokeFill, .wind, .windSnow, .tornado, .tropicalstorm, .hurricane, .thermometerSun, .thermometerSnowflake, .thermometer, .umbrella, .umbrellaFill, .flame, .flameFill, .lightMin, .lightMax, .rays, .slowmo, .timelapse, .keyboard, .keyboardChevronCompactDown, .squareGrid3X2, .squareGrid3X2Fill, .rectangleGrid3X2, .rectangleGrid3X2Fill, .squareGrid2X2, .squareGrid2X2Fill, .rectangleGrid2X2, .rectangleGrid2X2Fill, .squareGrid4X3Fill, .rectangleGrid1X2, .rectangleGrid1X2Fill, .circleGrid3X3, .circleGrid3X3Fill, .checkmarkSeal, .checkmarkSealFill, .xmarkSeal, .xmarkSealFill, .exclamationmarkTriangle, .exclamationmarkTriangleFill, .dropTriangle, .dropTriangleFill, .play, .playFill, .playCircle, .playCircleFill, .playRectangle, .playRectangleFill, .pause, .pauseFill, .pauseCircle, .pauseCircleFill, .pauseRectangle, .pauseRectangleFill, .stop, .stopFill, .stopCircle, .stopCircleFill, .playpause, .playpauseFill, .backward, .backwardFill, .forward, .forwardFill, .backwardEnd, .backwardEndFill, .forwardEnd, .forwardEndFill, .backwardEndAlt, .backwardEndAltFill, .forwardEndAlt, .forwardEndAltFill, .eject, .ejectFill, .memories, .memoriesBadgePlus, .memoriesBadgeMinus, .shuffle, .`repeat`, .repeat1, .speaker, .speakerFill, .speakerSlash, .speakerSlashFill, .speakerZzz, .speakerZzzFill, .badgePlusRadiowavesRight, .musicNote, .musicNoteList, .musicMic, .goforward, .gobackward, .goforward10, .gobackward10, .goforward15, .gobackward15, .goforward30, .gobackward30, .goforward45, .gobackward45, .goforward60, .gobackward60, .goforward75, .gobackward75, .goforward90, .gobackward90, .goforwardPlus, .gobackwardMinus, .magnifyingglass, .magnifyingglassCircle, .magnifyingglassCircleFill, .plusMagnifyingglass, .minusMagnifyingglass, ._1Magnifyingglass, .mic, .micFill, .micCircle, .micCircleFill, .micSlash, .micSlashFill, .circle, .circleFill, .smallcircleCircle, .smallcircleCircleFill, .capsule, .capsuleFill, .square, .squareFill, .squareSplit2X1, .squareSplit2X1Fill, .squareSplit1X2, .squareSplit1X2Fill, .squareSplit2X2, .squareSplit2X2Fill, .dotSquare, .dotSquareFill, .squareOnSquare, .squareFillOnSquareFill, .plusSquareOnSquare, .plusSquareFillOnSquareFill, .squareOnCircle, .squareFillOnCircleFill, .squareStack, .squareStackFill, .app, .appFill, .rectangle, .rectangleFill, .rectangleSplit3X1, .rectangleSplit3X1Fill, .rectangleSplit3X3, .rectangleOnRectangle, .rectangleFillOnRectangleFill, .plusRectangleOnRectangle, .plusRectangleFillOnRectangleFill, .triangle, .triangleFill, .hexagon, .hexagonFill, .suitHeart, .suitHeartFill, .suitClub, .suitClubFill, .suitSpade, .suitSpadeFill, .suitDiamond, .suitDiamondFill, .heart, .heartFill, .heartCircle, .heartCircleFill, .heartSlash, .heartSlashFill, .heartSlashCircle, .heartSlashCircleFill, .rhombus, .rhombusFill, .star, .starFill, .starCircle, .starCircleFill, .starSlash, .starSlashFill, .flag, .flagFill, .flagCircle, .flagCircleFill, .flagSlash, .flagSlashFill, .location, .locationFill, .locationCircle, .locationCircleFill, .locationSlash, .locationSlashFill, .locationNorth, .locationNorthFill, .locationNorthLine, .locationNorthLineFill, .bell, .bellFill, .bellCircle, .bellCircleFill, .bellSlash, .bellSlashFill, .tag, .tagFill, .tagCircle, .tagCircleFill, .bolt, .boltFill, .boltCircle, .boltCircleFill, .boltSlash, .boltSlashFill, .boltBadgeA, .boltBadgeAFill, .boltHorizontal, .boltHorizontalFill, .boltHorizontalCircle, .boltHorizontalCircleFill, .eye, .eyeFill, .eyeSlash, .eyeSlashFill, .eyeglasses, .icloud, .icloudFill, .icloudCircle, .icloudCircleFill, .icloudSlash, .icloudSlashFill, .exclamationmarkIcloud, .exclamationmarkIcloudFill, .xmarkIcloud, .xmarkIcloudFill, .linkIcloud, .linkIcloudFill, .boltHorizontalIcloud, .boltHorizontalIcloudFill, .personIcloud, .personIcloudFill, .lockIcloud, .lockIcloudFill, .arrowClockwiseIcloud, .arrowClockwiseIcloudFill, .arrowCounterclockwiseIcloud, .arrowCounterclockwiseIcloudFill, .icloudAndArrowDown, .icloudAndArrowDownFill, .icloudAndArrowUp, .icloudAndArrowUpFill, .camera, .cameraFill, .cameraCircle, .cameraCircleFill, .cameraOnRectangle, .cameraOnRectangleFill, .message, .messageFill, .messageCircle, .messageCircleFill, .bubbleRight, .bubbleRightFill, .bubbleLeft, .bubbleLeftFill, .exclamationmarkBubble, .exclamationmarkBubbleFill, .quoteBubble, .quoteBubbleFill, .textBubble, .textBubbleFill, .captionsBubble, .captionsBubbleFill, .plusBubble, .plusBubbleFill, .bubbleMiddleBottom, .bubbleMiddleBottomFill, .bubbleMiddleTop, .bubbleMiddleTopFill, .bubbleLeftAndBubbleRight, .bubbleLeftAndBubbleRightFill, .phone, .phoneFill, .phoneCircle, .phoneCircleFill, .phoneBadgePlus, .phoneFillBadgePlus, .phoneArrowUpRight, .phoneFillArrowUpRight, .phoneArrowDownLeft, .phoneFillArrowDownLeft, .phoneArrowRight, .phoneFillArrowRight, .phoneDown, .phoneDownFill, .phoneDownCircle, .phoneDownCircleFill, .teletype, .teletypeAnswer, .video, .videoFill, .videoCircle, .videoCircleFill, .videoSlash, .videoSlashFill, .videoBadgePlus, .arrowUpRightVideo, .arrowUpRightVideoFill, .arrowDownLeftVideo, .arrowDownLeftVideoFill, .questionmarkVideo, .questionmarkVideoFill, .envelope, .envelopeFill, .envelopeCircle, .envelopeCircleFill, .envelopeOpen, .envelopeOpenFill, .envelopeBadge, .envelopeBadgeFill, .gear, .signature, .scissors, .ellipsis, .ellipsisCircle, .ellipsisCircleFill, .bag, .bagFill, .bagBadgePlus, .bagFillBadgePlus, .bagBadgeMinus, .bagFillBadgeMinus, .cart, .cartFill, .cartBadgePlus, .cartFillBadgePlus, .cartBadgeMinus, .cartFillBadgeMinus, .creditcard, .creditcardFill, .wandAndRays, .wandAndRaysInverse, .wandAndStars, .wandAndStarsInverse, .crop, .cropRotate, .nosign, .gauge, .gaugeBadgePlus, .gaugeBadgeMinus, .speedometer, .metronome, .tuningfork, .paintbrush, .paintbrushFill, .bandage, .bandageFill, .wrench, .wrenchFill, .hammer, .hammerFill, .eyedropper, .eyedropperHalffull, .eyedropperFull, .printer, .printerFill, .briefcase, .briefcaseFill, .house, .houseFill, .lock, .lockFill, .lockCircle, .lockCircleFill, .lockShield, .lockShieldFill, .lockSlash, .lockSlashFill, .lockOpen, .lockOpenFill, .lockRotation, .lockRotationOpen, .wifi, .wifiSlash, .wifiExclamationmark, .pin, .pinFill, .pinSlash, .pinSlashFill, .mappin, .mappinSlash, .mappinAndEllipse, .map, .mapFill, .safari, .safariFill, .rotateLeft, .rotateLeftFill, .rotateRight, .rotateRightFill, .selectionPinInOut, .desktopcomputer, .headphones, .hifispeaker, .hifispeakerFill, .tv, .tvFill, .tvCircle, .tvCircleFill, .airplayvideo, .airplayaudio, .dotRadiowavesLeftAndRight, .dotRadiowavesRight, .antennaRadiowavesLeftAndRight, .guitars, .airplane, .carFill, .tramFill, .bedDouble, .bedDoubleFill, .hare, .hareFill, .tortoise, .tortoiseFill, .ant, .antFill, .antCircle, .antCircleFill, .film, .filmFill, .sportscourt, .sportscourtFill, .qrcode, .barcode, .viewfinder, .viewfinderCircle, .viewfinderCircleFill, .barcodeViewfinder, .qrcodeViewfinder, .cameraViewfinder, .faceid, .photo, .photoFill, .rectangleBadgeCheckmark, .rectangleFillBadgeCheckmark, .rectangleBadgeXmark, .rectangleFillBadgeXmark, .photoOnRectangle, .photoFillOnRectangleFill, .rectangleOnRectangleAngled, .rectangleFillOnRectangleAngledFill, .rectangleStack, .rectangleStackFill, .rectangleStackBadgePlus, .rectangleStackFillBadgePlus, .rectangleStackBadgeMinus, .rectangleStackFillBadgeMinus, .rectangleStackBadgePersonCrop, .sidebarLeft, .sidebarRight, .macwindow, .uiwindowSplit2X1, .squaresBelowRectangle, .rectangleSplit3X3Fill, .pano, .panoFill, .squareAndLineVerticalAndSquare, .flowchart, .flowchartFill, .shield, .shieldFill, .shieldSlash, .shieldSlashFill, .sliderHorizontal3, .sliderHorizontalBelowRectangle, .cube, .cubeFill, .arkit, .squareStack3DDownRight, .squareStack3DDownRightFill, .squareStack3DUp, .squareStack3DUpFill, .squareStack3DUpSlash, .squareStack3DUpSlashFill, .livephoto, .livephotoSlash, .livephotoPlay, .scope, .helm, .clock, .clockFill, .alarm, .alarmFill, .stopwatch, .stopwatchFill, .timer, .gamecontroller, .gamecontrollerFill, .ear, .handRaised, .handRaisedFill, .handRaisedSlash, .handRaisedSlashFill, .handThumbsup, .handThumbsupFill, .handThumbsdown, .handThumbsdownFill, .handDraw, .handDrawFill, .handPointLeft, .handPointLeftFill, .handPointRight, .handPointRightFill, .rectangleCompressVertical, .rectangleExpandVertical, .rectangleAndArrowUpRightAndArrowDownLeft, .rectangleAndArrowUpRightAndArrowDownLeftSlash, .chartBar, .chartBarFill, .chartPie, .chartPieFill, .burst, .burstFill, .waveformPathEcg, .waveformPath, .waveformPathBadgePlus, .waveformPathBadgeMinus, .waveform, .waveformCircle, .waveformCircleFill, .staroflife, .staroflifeFill, .gift, .giftFill, .plusApp, .plusAppFill, .appBadge, .appBadgeFill, .appGift, .appGiftFill, .hourglass, .purchased, .purchasedCircle, .purchasedCircleFill, .perspective, .skew, .grid, .gridCircle, .gridCircleFill, .burn, .recordingtape, .battery100, .battery25, .battery0, .lightbulb, .lightbulbFill, .lightbulbSlash, .lightbulbSlashFill, .listDash, .listBullet, .listBulletIndent, .listNumber, .increaseIndent, .decreaseIndent, .decreaseQuotelevel, .increaseQuotelevel, .listBulletBelowRectangle, .textBadgePlus, .textBadgeMinus, .textBadgeCheckmark, .textBadgeXmark, .textBadgeStar, .textInsert, .textAppend, .textQuote, .textAlignleft, .textAligncenter, .textAlignright, .textJustify, .textformatSize, .textformat, .textformatAlt, .textformatSuperscript, .textformatSubscript, .textformatAbc, .textformatAbcDottedunderline, .bold, .italic, .underline, .strikethrough, .boldItalicUnderline, .boldUnderline, .view2D, .view3D, .fx, .fCursive, .fCursiveCircle, .fCursiveCircleFill, .sum, .percent, .function, .textformat123, .info, .infoCircle, .infoCircleFill, .at, .atBadgePlus, .atBadgeMinus, .questionmark, .questionmarkCircle, .questionmarkCircleFill, .questionmarkSquare, .questionmarkSquareFill, .questionmarkDiamond, .questionmarkDiamondFill, .exclamationmark, .exclamationmarkCircle, .exclamationmarkCircleFill, .exclamationmarkSquare, .exclamationmarkSquareFill, .exclamationmarkOctagon, .exclamationmarkOctagonFill, .exclamationmarkShield, .exclamationmarkShieldFill, .plus, .plusCircle, .plusCircleFill, .plusSquare, .plusSquareFill, .plusRectangle, .plusRectangleFill, .minus, .minusCircle, .minusCircleFill, .minusSquare, .minusSquareFill, .minusRectangle, .minusRectangleFill, .plusminus, .plusminusCircle, .plusminusCircleFill, .multiply, .multiplyCircle, .multiplyCircleFill, .multiplySquare, .multiplySquareFill, .xmarkRectangle, .xmarkRectangleFill, .xmarkShield, .xmarkShieldFill, .xmarkOctagon, .xmarkOctagonFill, .divide, .divideCircle, .divideCircleFill, .divideSquare, .divideSquareFill, .equal, .equalCircle, .equalCircleFill, .equalSquare, .equalSquareFill, .lessthan, .lessthanCircle, .lessthanCircleFill, .lessthanSquare, .lessthanSquareFill, .greaterthan, .greaterthanCircle, .greaterthanCircleFill, .greaterthanSquare, .greaterthanSquareFill, .number, .numberCircle, .numberCircleFill, .numberSquare, .numberSquareFill, .xSquareroot, .xmark, .xmarkCircle, .xmarkCircleFill, .xmarkSquare, .xmarkSquareFill, .checkmark, .checkmarkCircle, .checkmarkCircleFill, .checkmarkSquare, .checkmarkSquareFill, .checkmarkRectangle, .checkmarkRectangleFill, .checkmarkShield, .checkmarkShieldFill, .chevronLeft, .chevronLeftCircle, .chevronLeftCircleFill, .chevronLeftSquare, .chevronLeftSquareFill, .chevronRight, .chevronRightCircle, .chevronRightCircleFill, .chevronRightSquare, .chevronRightSquareFill, .chevronLeft2, .chevronRight2, .chevronUp, .chevronUpCircle, .chevronUpCircleFill, .chevronUpSquare, .chevronUpSquareFill, .chevronDown, .chevronDownCircle, .chevronDownCircleFill, .chevronDownSquare, .chevronDownSquareFill, .control, .projective, .chevronUpChevronDown, .chevronCompactUp, .chevronCompactDown, .chevronCompactLeft, .chevronCompactRight, .arrowLeft, .arrowLeftCircle, .arrowLeftCircleFill, .arrowLeftSquare, .arrowLeftSquareFill, .arrowRight, .arrowRightCircle, .arrowRightCircleFill, .arrowRightSquare, .arrowRightSquareFill, .arrowUp, .arrowUpCircle, .arrowUpCircleFill, .arrowUpSquare, .arrowUpSquareFill, .arrowDown, .arrowDownCircle, .arrowDownCircleFill, .arrowDownSquare, .arrowDownSquareFill, .arrowUpLeft, .arrowUpLeftCircle, .arrowUpLeftCircleFill, .arrowUpLeftSquare, .arrowUpLeftSquareFill, .arrowUpRight, .arrowUpRightCircle, .arrowUpRightCircleFill, .arrowUpRightSquare, .arrowUpRightSquareFill, .arrowDownLeft, .arrowDownLeftCircle, .arrowDownLeftCircleFill, .arrowDownLeftSquare, .arrowDownLeftSquareFill, .arrowDownRight, .arrowDownRightCircle, .arrowDownRightCircleFill, .arrowDownRightSquare, .arrowDownRightSquareFill, .arrowUpArrowDown, .arrowUpArrowDownCircle, .arrowUpArrowDownCircleFill, .arrowUpArrowDownSquare, .arrowUpArrowDownSquareFill, .arrowTurnDownLeft, .arrowTurnUpLeft, .arrowTurnDownRight, .arrowTurnUpRight, .arrowTurnRightUp, .arrowTurnLeftUp, .arrowTurnRightDown, .arrowTurnLeftDown, .arrowUturnLeft, .arrowUturnLeftCircle, .arrowUturnLeftCircleFill, .arrowUturnLeftSquare, .arrowUturnLeftSquareFill, .arrowUturnRight, .arrowUturnRightCircle, .arrowUturnRightCircleFill, .arrowUturnRightSquare, .arrowUturnRightSquareFill, .arrowUturnUp, .arrowUturnUpCircle, .arrowUturnUpCircleFill, .arrowUturnUpSquare, .arrowUturnUpSquareFill, .arrowUturnDown, .arrowUturnDownCircle, .arrowUturnDownCircleFill, .arrowUturnDownSquare, .arrowUturnDownSquareFill, .arrowLeftAndRight, .arrowLeftAndRightCircle, .arrowLeftAndRightCircleFill, .arrowLeftAndRightSquare, .arrowLeftAndRightSquareFill, .arrowUpAndDown, .arrowUpAndDownCircle, .arrowUpAndDownCircleFill, .arrowUpAndDownSquare, .arrowUpAndDownSquareFill, .arrowUpToLine, .arrowDownToLine, .arrowLeftToLine, .arrowRightToLine, .arrowClockwise, .arrowClockwiseCircle, .arrowClockwiseCircleFill, .arrowCounterclockwise, .arrowCounterclockwiseCircle, .arrowCounterclockwiseCircleFill, .arrowUpLeftAndArrowDownRight, .arrowDownRightAndArrowUpLeft, .`return`, .arrow2Squarepath, .arrow3Trianglepath, .arrowtriangleLeft, .arrowtriangleLeftFill, .arrowtriangleLeftCircle, .arrowtriangleLeftCircleFill, .arrowtriangleLeftSquare, .arrowtriangleLeftSquareFill, .arrowtriangleRight, .arrowtriangleRightFill, .arrowtriangleRightCircle, .arrowtriangleRightCircleFill, .arrowtriangleRightSquare, .arrowtriangleRightSquareFill, .arrowtriangleUp, .arrowtriangleUpFill, .arrowtriangleUpCircle, .arrowtriangleUpCircleFill, .arrowtriangleUpSquare, .arrowtriangleUpSquareFill, .arrowtriangleDown, .arrowtriangleDownFill, .arrowtriangleDownCircle, .arrowtriangleDownCircleFill, .arrowtriangleDownSquare, .arrowtriangleDownSquareFill, .slashCircle, .slashCircleFill, .asteriskCircle, .asteriskCircleFill, .aCircle, .aCircleFill, .aSquare, .aSquareFill, .bCircle, .bCircleFill, .bSquare, .bSquareFill, .cCircle, .cCircleFill, .cSquare, .cSquareFill, .dCircle, .dCircleFill, .dSquare, .dSquareFill, .eCircle, .eCircleFill, .eSquare, .eSquareFill, .fCircle, .fCircleFill, .fSquare, .fSquareFill, .gCircle, .gCircleFill, .gSquare, .gSquareFill, .hCircle, .hCircleFill, .hSquare, .hSquareFill, .iCircle, .iCircleFill, .iSquare, .iSquareFill, .jCircle, .jCircleFill, .jSquare, .jSquareFill, .kCircle, .kCircleFill, .kSquare, .kSquareFill, .lCircle, .lCircleFill, .lSquare, .lSquareFill, .mCircle, .mCircleFill, .mSquare, .mSquareFill, .nCircle, .nCircleFill, .nSquare, .nSquareFill, .oCircle, .oCircleFill, .oSquare, .oSquareFill, .pCircle, .pCircleFill, .pSquare, .pSquareFill, .qCircle, .qCircleFill, .qSquare, .qSquareFill, .rCircle, .rCircleFill, .rSquare, .rSquareFill, .sCircle, .sCircleFill, .sSquare, .sSquareFill, .tCircle, .tCircleFill, .tSquare, .tSquareFill, .uCircle, .uCircleFill, .uSquare, .uSquareFill, .vCircle, .vCircleFill, .vSquare, .vSquareFill, .wCircle, .wCircleFill, .wSquare, .wSquareFill, .xCircle, .xCircleFill, .xSquare, .xSquareFill, .yCircle, .yCircleFill, .ySquare, .ySquareFill, .zCircle, .zCircleFill, .zSquare, .zSquareFill, .dollarsignCircle, .dollarsignCircleFill, .dollarsignSquare, .dollarsignSquareFill, .centsignCircle, .centsignCircleFill, .centsignSquare, .centsignSquareFill, .yensignCircle, .yensignCircleFill, .yensignSquare, .yensignSquareFill, .sterlingsignCircle, .sterlingsignCircleFill, .sterlingsignSquare, .sterlingsignSquareFill, .francsignCircle, .francsignCircleFill, .francsignSquare, .francsignSquareFill, .florinsignCircle, .florinsignCircleFill, .florinsignSquare, .florinsignSquareFill, .turkishlirasignCircle, .turkishlirasignCircleFill, .turkishlirasignSquare, .turkishlirasignSquareFill, .rublesignCircle, .rublesignCircleFill, .rublesignSquare, .rublesignSquareFill, .eurosignCircle, .eurosignCircleFill, .eurosignSquare, .eurosignSquareFill, .dongsignCircle, .dongsignCircleFill, .dongsignSquare, .dongsignSquareFill, .indianrupeesignCircle, .indianrupeesignCircleFill, .indianrupeesignSquare, .indianrupeesignSquareFill, .tengesignCircle, .tengesignCircleFill, .tengesignSquare, .tengesignSquareFill, .pesetasignCircle, .pesetasignCircleFill, .pesetasignSquare, .pesetasignSquareFill, .pesosignCircle, .pesosignCircleFill, .pesosignSquare, .pesosignSquareFill, .kipsignCircle, .kipsignCircleFill, .kipsignSquare, .kipsignSquareFill, .wonsignCircle, .wonsignCircleFill, .wonsignSquare, .wonsignSquareFill, .lirasignCircle, .lirasignCircleFill, .lirasignSquare, .lirasignSquareFill, .australsignCircle, .australsignCircleFill, .australsignSquare, .australsignSquareFill, .hryvniasignCircle, .hryvniasignCircleFill, .hryvniasignSquare, .hryvniasignSquareFill, .nairasignCircle, .nairasignCircleFill, .nairasignSquare, .nairasignSquareFill, .guaranisignCircle, .guaranisignCircleFill, .guaranisignSquare, .guaranisignSquareFill, .coloncurrencysignCircle, .coloncurrencysignCircleFill, .coloncurrencysignSquare, .coloncurrencysignSquareFill, .cedisignCircle, .cedisignCircleFill, .cedisignSquare, .cedisignSquareFill, .cruzeirosignCircle, .cruzeirosignCircleFill, .cruzeirosignSquare, .cruzeirosignSquareFill, .tugriksignCircle, .tugriksignCircleFill, .tugriksignSquare, .tugriksignSquareFill, .millsignCircle, .millsignCircleFill, .millsignSquare, .millsignSquareFill, .manatsignCircle, .manatsignCircleFill, .manatsignSquare, .manatsignSquareFill, .rupeesignCircle, .rupeesignCircleFill, .rupeesignSquare, .rupeesignSquareFill, .bahtsignCircle, .bahtsignCircleFill, .bahtsignSquare, .bahtsignSquareFill, .larisignCircle, .larisignCircleFill, .larisignSquare, .larisignSquareFill, .bitcoinsignCircle, .bitcoinsignCircleFill, .bitcoinsignSquare, .bitcoinsignSquareFill, ._0Circle, ._0CircleFill, ._0Square, ._0SquareFill, ._1Circle, ._1CircleFill, ._1Square, ._1SquareFill, ._2Circle, ._2CircleFill, ._2Square, ._2SquareFill, ._3Circle, ._3CircleFill, ._3Square, ._3SquareFill, ._4Circle, ._4CircleFill, ._4Square, ._4SquareFill, ._4AltCircle, ._4AltCircleFill, ._4AltSquare, ._4AltSquareFill, ._5Circle, ._5CircleFill, ._5Square, ._5SquareFill, ._6Circle, ._6CircleFill, ._6Square, ._6SquareFill, ._6AltCircle, ._6AltCircleFill, ._6AltSquare, ._6AltSquareFill, ._7Circle, ._7CircleFill, ._7Square, ._7SquareFill, ._8Circle, ._8CircleFill, ._8Square, ._8SquareFill, ._9Circle, ._9CircleFill, ._9Square, ._9SquareFill, ._9AltCircle, ._9AltCircleFill, ._9AltSquare, ._9AltSquareFill, ._00Circle, ._00CircleFill, ._00Square, ._00SquareFill, ._01Circle, ._01CircleFill, ._01Square, ._01SquareFill, ._02Circle, ._02CircleFill, ._02Square, ._02SquareFill, ._03Circle, ._03CircleFill, ._03Square, ._03SquareFill, ._04Circle, ._04CircleFill, ._04Square, ._04SquareFill, ._05Circle, ._05CircleFill, ._05Square, ._05SquareFill, ._06Circle, ._06CircleFill, ._06Square, ._06SquareFill, ._07Circle, ._07CircleFill, ._07Square, ._07SquareFill, ._08Circle, ._08CircleFill, ._08Square, ._08SquareFill, ._09Circle, ._09CircleFill, ._09Square, ._09SquareFill, ._10Circle, ._10CircleFill, ._10Square, ._10SquareFill, ._11Circle, ._11CircleFill, ._11Square, ._11SquareFill, ._12Circle, ._12CircleFill, ._12Square, ._12SquareFill, ._13Circle, ._13CircleFill, ._13Square, ._13SquareFill, ._14Circle, ._14CircleFill, ._14Square, ._14SquareFill, ._15Circle, ._15CircleFill, ._15Square, ._15SquareFill, ._16Circle, ._16CircleFill, ._16Square, ._16SquareFill, ._17Circle, ._17CircleFill, ._17Square, ._17SquareFill, ._18Circle, ._18CircleFill, ._18Square, ._18SquareFill, ._19Circle, ._19CircleFill, ._19Square, ._19SquareFill, ._20Circle, ._20CircleFill, ._20Square, ._20SquareFill, ._21Circle, ._21CircleFill, ._21Square, ._21SquareFill, ._22Circle, ._22CircleFill, ._22Square, ._22SquareFill, ._23Circle, ._23CircleFill, ._23Square, ._23SquareFill, ._24Circle, ._24CircleFill, ._24Square, ._24SquareFill, ._25Circle, ._25CircleFill, ._25Square, ._25SquareFill, ._26Circle, ._26CircleFill, ._26Square, ._26SquareFill, ._27Circle, ._27CircleFill, ._27Square, ._27SquareFill, ._28Circle, ._28CircleFill, ._28Square, ._28SquareFill, ._29Circle, ._29CircleFill, ._29Square, ._29SquareFill, ._30Circle, ._30CircleFill, ._30Square, ._30SquareFill, ._31Circle, ._31CircleFill, ._31Square, ._31SquareFill, ._32Circle, ._32CircleFill, ._32Square, ._32SquareFill, ._33Circle, ._33CircleFill, ._33Square, ._33SquareFill, ._34Circle, ._34CircleFill, ._34Square, ._34SquareFill, ._35Circle, ._35CircleFill, ._35Square, ._35SquareFill, ._36Circle, ._36CircleFill, ._36Square, ._36SquareFill, ._37Circle, ._37CircleFill, ._37Square, ._37SquareFill, ._38Circle, ._38CircleFill, ._38Square, ._38SquareFill, ._39Circle, ._39CircleFill, ._39Square, ._39SquareFill, ._40Circle, ._40CircleFill, ._40Square, ._40SquareFill, ._41Circle, ._41CircleFill, ._41Square, ._41SquareFill, ._42Circle, ._42CircleFill, ._42Square, ._42SquareFill, ._43Circle, ._43CircleFill, ._43Square, ._43SquareFill, ._44Circle, ._44CircleFill, ._44Square, ._44SquareFill, ._45Circle, ._45CircleFill, ._45Square, ._45SquareFill, ._46Circle, ._46CircleFill, ._46Square, ._46SquareFill, ._47Circle, ._47CircleFill, ._47Square, ._47SquareFill, ._48Circle, ._48CircleFill, ._48Square, ._48SquareFill, ._49Circle, ._49CircleFill, ._49Square, ._49SquareFill, ._50Circle, ._50CircleFill, ._50Square, ._50SquareFill]
    }
    
    /// A collection of available values added from  SF Symbols 2
    @available(iOS 14.0, macOS 11.0, macCatalyst 14.0, tvOS 14.0, watchOS 7.0, *)
    static var availableCasesFromSFSymbols2: [SFSymbols] {
        [.rectangleAndPencilAndEllipsis, .scribbleVariable, .highlighter, .pencilTipCropCircleBadgeArrowForward, .folderBadgeQuestionmark, .folderFillBadgeQuestionmark, .squareGrid3X1FolderBadgePlus, .squareGrid3X1FolderFillBadgePlus, .plusRectangleOnFolder, .questionmarkFolder, .questionmarkFolderFill, .paperplaneCircle, .paperplaneCircleFill, .trayCircle, .trayCircleFill, .externaldrive, .externaldriveFill, .externaldriveBadgePlus, .externaldriveFillBadgePlus, .externaldriveBadgeMinus, .externaldriveFillBadgeMinus, .externaldriveBadgeCheckmark, .externaldriveFillBadgeCheckmark, .externaldriveBadgeXmark, .externaldriveFillBadgeXmark, .externaldriveBadgePersonCrop, .externaldriveFillBadgePersonCrop, .externaldriveBadgeIcloud, .externaldriveFillBadgeIcloud, .externaldriveBadgeWifi, .externaldriveFillBadgeWifi, .externaldriveBadgeTimemachine, .externaldriveFillBadgeTimemachine, .internaldrive, .internaldriveFill, .opticaldiscdrive, .opticaldiscdriveFill, .externaldriveConnectedToLineBelow, .externaldriveConnectedToLineBelowFill, .archiveboxCircle, .archiveboxCircleFill, .xmarkBin, .xmarkBinFill, .xmarkBinCircle, .xmarkBinCircleFill, .docBadgePlus, .docFillBadgePlus, .docBadgeGearshape, .docBadgeGearshapeFill, .docBadgeEllipsis, .docFillBadgeEllipsis, .lockDoc, .lockDocFill, .docZipper, .arrowRightDocOnClipboard, .arrowUpDocOnClipboard, .arrowTriangle2CirclepathDocOnClipboard, .docRichtextFill, .docPlaintextFill, .docAppendFill, .docTextBelowEcg, .docTextBelowEcgFill, .chartBarDocHorizontal, .chartBarDocHorizontalFill, .listBulletRectangle, .terminal, .terminalFill, .note, .noteText, .noteTextBadgePlus, .calendarBadgeClock, .calendarBadgeExclamationmark, .arrowshapeTurnUpBackward, .arrowshapeTurnUpBackwardFill, .arrowshapeTurnUpBackwardCircle, .arrowshapeTurnUpBackwardCircleFill, .arrowshapeTurnUpForward, .arrowshapeTurnUpForwardFill, .arrowshapeTurnUpForwardCircle, .arrowshapeTurnUpForwardCircleFill, .arrowshapeTurnUpLeft2Circle, .arrowshapeTurnUpLeft2CircleFill, .arrowshapeTurnUpBackward2, .arrowshapeTurnUpBackward2Fill, .arrowshapeTurnUpBackward2Circle, .arrowshapeTurnUpBackward2CircleFill, .arrowshapeZigzagRight, .arrowshapeZigzagRightFill, .arrowshapeZigzagForward, .arrowshapeZigzagForwardFill, .arrowshapeBounceRight, .arrowshapeBounceRightFill, .arrowshapeBounceForward, .arrowshapeBounceForwardFill, .booksVertical, .booksVerticalFill, .bookClosed, .bookClosedFill, .textBookClosed, .textBookClosedFill, .greetingcard, .greetingcardFill, .newspaper, .newspaperFill, .heartTextSquare, .heartTextSquareFill, .bookmarkCircle, .bookmarkCircleFill, .bookmarkSlash, .bookmarkSlashFill, .graduationcap, .graduationcapFill, .ticket, .ticketFill, .paperclipBadgeEllipsis, .paperclipCircle, .paperclipCircleFill, .rectangleDashedAndPaperclip, .linkBadgePlus, .lineweight, .personFillTurnRight, .personFillTurnDown, .personFillTurnLeft, .personFillCheckmark, .personFillXmark, .personFillQuestionmark, .personFillBadgePlus, .personFillBadgeMinus, .personAndArrowLeftAndArrowRight, .personFillAndArrowLeftAndArrowRight, .person2Circle, .person2CircleFill, .personCropCircleBadgeQuestionmark, .personCropCircleBadgeExclamationmark, .arrowUpAndPersonRectanglePortrait, .arrowUpAndPersonRectangleTurnRight, .arrowUpAndPersonRectangleTurnLeft, .squareAndAtRectangle, .commandCircle, .commandCircleFill, .commandSquare, .commandSquareFill, .restart, .restartCircle, .sleep, .wake, .togglepower, .poweron, .poweroff, .powersleep, .dotArrowtrianglesUpRightDownLeftCircle, .network, .sparkle, .thermometerSunFill, .cursorarrowRays, .cursorarrow, .cursorarrowSquare, .cursorarrowAndSquareOnSquareDashed, .cursorarrowClick, .cursorarrowClick2, .contextualmenuAndCursorarrow, .filemenuAndCursorarrow, .filemenuAndSelection, .dotCircleAndCursorarrow, .cursorarrowMotionlines, .cursorarrowMotionlinesClick, .cursorarrowClickBadgeClock, .keyboardBadgeEllipsis, .keyboardChevronCompactLeft, .keyboardOnehandedLeft, .keyboardOnehandedRight, .squareGrid3X1BelowLineGrid1X2, .squareGrid3X3, .squareGrid3X3Fill, .circleGrid2X2, .circleGrid2X2Fill, .circleGridCross, .circleGridCrossFill, .seal, .sealFill, .drop, .dropFill, .playSlash, .playSlashFill, .recordCircle, .recordCircleFill, .backwardFrame, .backwardFrameFill, .forwardFrame, .forwardFrameFill, .ejectCircle, .ejectCircleFill, .mount, .mountFill, .infinity, .megaphone, .megaphoneFill, .speakerSlashCircle, .speakerSlashCircleFill, .speakerWave1, .speakerWave1Fill, .speakerWave2, .speakerWave2Fill, .speakerWave2Circle, .speakerWave2CircleFill, .speakerWave3, .speakerWave3Fill, .badgePlusRadiowavesForward, .musicQuarternote3, .arrowRectanglepath, .swift, .arrowUpLeftAndDownRightMagnifyingglass, .textMagnifyingglass, .loupe, .lineDiagonal, .lineDiagonalArrow, .circleDashed, .circlebadge, .circlebadgeFill, .circlebadge2, .circlebadge2Fill, .target, .capsulePortrait, .capsulePortraitFill, .oval, .ovalFill, .ovalPortrait, .ovalPortraitFill, .placeholdertextFill, .squareSlash, .squareSlashFill, .squareSplitDiagonal2X2, .squareSplitDiagonal2X2Fill, .squareSplitDiagonal, .squareSplitDiagonalFill, .circleSquare, .squareDashed, .questionmarkSquareDashed, .squareOnSquareDashed, .rSquareOnSquare, .jSquareOnSquare, .hSquareOnSquare, .squareshape, .squareshapeFill, .squareshapeDashedSquareshape, .squareshapeSquareshapeDashed, .dotSquareshape, .dotSquareshapeFill, .rectangleSlash, .rectangleSlashFill, .rectangleSplit2X1, .rectangleSplit2X1Fill, .rectangleSplit1X2, .rectangleSplit1X2Fill, .rectangleSplit2X2, .rectangleSplit2X2Fill, .tablecells, .tablecellsFill, .tablecellsBadgeEllipsis, .rectangleOnRectangleSlash, .rectanglePortrait, .rectanglePortraitFill, .diamond, .diamondFill, .octagon, .octagonFill, .boltHeart, .boltHeartFill, .arrowUpHeart, .arrowUpHeartFill, .arrowDownHeart, .arrowDownHeartFill, .arrowClockwiseHeart, .arrowClockwiseHeartFill, .starSquare, .starSquareFill, .lineHorizontalStarFillLineHorizontal, .flagSlashCircle, .flagSlashCircleFill, .flagBadgeEllipsis, .flagBadgeEllipsisFill, .bellSlashCircle, .bellSlashCircleFill, .bellBadge, .bellBadgeFill, .tagSlash, .tagSlashFill, .boltSlashCircle, .boltSlashCircleFill, .eyeCircle, .eyeCircleFill, .eyes, .eyesInverse, .eyebrow, .nose, .noseFill, .mustache, .mustacheFill, .mouth, .mouthFill, .checkmarkIcloud, .checkmarkIcloudFill, .keyIcloud, .keyIcloudFill, .cameraBadgeEllipsis, .cameraFillBadgeEllipsis, .arrowTriangle2CirclepathCamera, .arrowTriangle2CirclepathCameraFill, .arrowUpMessage, .arrowUpMessageFill, .plusMessage, .plusMessageFill, .ellipsisBubble, .ellipsisBubbleFill, .phoneBubbleLeft, .phoneBubbleLeftFill, .videoBubbleLeft, .videoBubbleLeftFill, .phoneConnection, .phoneFillConnection, .teletypeCircle, .teletypeCircleFill, .videoFillBadgePlus, .videoBadgeCheckmark, .videoFillBadgeCheckmark, .envelopeArrowTriangleBranch, .envelopeArrowTriangleBranchFill, .mailStack, .mailStackFill, .mail, .mailFill, .mailAndTextMagnifyingglass, .rectangleAndTextMagnifyingglass, .arrowUpRightAndArrowDownLeftRectangle, .arrowUpRightAndArrowDownLeftRectangleFill, .gearshape, .gearshapeFill, .gearshape2, .gearshape2Fill, .line3CrossedSwirlCircle, .line3CrossedSwirlCircleFill, .ellipsisRectangle, .ellipsisRectangleFill, .bagCircle, .bagCircleFill, .creditcardCircle, .creditcardCircleFill, .giftcard, .giftcardFill, .walletPass, .walletPassFill, .dialMin, .dialMinFill, .dialMax, .dialMaxFill, .gyroscope, .barometer, .metronomeFill, .amplifier, .dieFace1, .dieFace1Fill, .dieFace2, .dieFace2Fill, .dieFace3, .dieFace3Fill, .dieFace4, .dieFace4Fill, .dieFace5, .dieFace5Fill, .dieFace6, .dieFace6Fill, .pianokeys, .pianokeysInverse, .paintbrushPointed, .paintbrushPointedFill, .ruler, .rulerFill, .level, .levelFill, .wrenchAndScrewdriver, .wrenchAndScrewdriverFill, .applescript, .applescriptFill, .scroll, .scrollFill, .stethoscope, .printerDotmatrix, .printerDotmatrixFill, .scanner, .scannerFill, .faxmachine, .`case`, .caseFill, .latch2Case, .latch2CaseFill, .crossCase, .crossCaseFill, .puzzlepiece, .puzzlepieceFill, .homekit, .houseCircle, .houseCircleFill, .musicNoteHouse, .musicNoteHouseFill, .buildingColumns, .buildingColumnsFill, .signpostLeft, .signpostLeftFill, .signpostRight, .signpostRightFill, .squareSplitBottomrightquarter, .squareSplitBottomrightquarterFill, .building, .buildingFill, .building2, .building2Fill, .building2CropCircle, .building2CropCircleFill, .lockSquare, .lockSquareFill, .lockSquareStack, .lockSquareStackFill, .lockRectangle, .lockRectangleFill, .lockRectangleStack, .lockRectangleStackFill, .lockRectangleOnRectangle, .lockRectangleOnRectangleFill, .key, .keyFill, .move3D, .scale3D, .rotate3D, .timelineSelection, .cpu, .memorychip, .opticaldisc, .display, .displayTrianglebadgeExclamationmark, .display2, .pc, .macproGen1, .macproGen2, .macproGen2Fill, .macproGen3, .macproGen3Server, .serverRack, .xserve, .laptopcomputer, .laptopcomputerAndIphone, .macmini, .macminiFill, .airportExpress, .airportExtreme, .airportExtremeTower, .ipod, .ipodshuffleGen1, .ipodshuffleGen2, .ipodshuffleGen3, .ipodshuffleGen4, .ipodtouch, .flipphone, .candybarphone, .iphoneHomebutton, .iphoneHomebuttonRadiowavesLeftAndRight, .iphoneHomebuttonSlash, .iphone, .iphoneRadiowavesLeftAndRight, .iphoneSlash, .arrowTurnUpForwardIphone, .arrowTurnUpForwardIphoneFill, .appsIphone, .appsIphoneBadgePlus, .appsIphoneLandscape, .ipadHomebutton, .ipadHomebuttonLandscape, .ipad, .ipadLandscape, .appsIpad, .appsIpadLandscape, .applewatch, .applewatchWatchface, .applewatchRadiowavesLeftAndRight, .applewatchSlash, .headphonesCircle, .headphonesCircleFill, .earpods, .airpods, .airpodRight, .airpodLeft, .airpodspro, .airpodproRight, .airpodproLeft, .homepod, .homepodFill, .homepod2, .homepod2Fill, .hifispeakerAndHomepod, .hifispeakerAndHomepodFill, .hifispeaker2, .hifispeaker2Fill, .appletv, .appletvFill, .radio, .radioFill, ._4kTv, ._4kTvFill, .tvAndHifispeakerFill, .dotRadiowavesForward, .wave3Left, .wave3LeftCircle, .wave3LeftCircleFill, .wave3Backward, .wave3BackwardCircle, .wave3BackwardCircleFill, .wave3Right, .wave3RightCircle, .wave3RightCircleFill, .wave3Forward, .wave3ForwardCircle, .wave3ForwardCircleFill, .pip, .pipFill, .pipExit, .pipEnter, .pipSwap, .pipRemove, .rectangleArrowtriangle2Outward, .rectangleArrowtriangle2Inward, .rectanglePortraitArrowtriangle2Outward, .rectanglePortraitArrowtriangle2Inward, .guitarsFill, .airplaneCircle, .airplaneCircleFill, .carCircle, .carCircleFill, .boltCar, .boltCarFill, .car2, .car2Fill, .bus, .busFill, .busDoubledecker, .busDoubledeckerFill, .tram, .tramCircle, .tramCircleFill, .bicycle, .bicycleCircle, .bicycleCircleFill, .lungs, .lungsFill, .pills, .pillsFill, .cross, .crossFill, .crossCircle, .crossCircleFill, .ladybug, .ladybugFill, .leaf, .leafFill, .leafArrowTriangleCirclepath, .faceSmiling, .faceSmilingFill, .faceDashed, .faceDashedFill, .crown, .crownFill, .comb, .combFill, .plusViewfinder, .locationViewfinder, .locationFillViewfinder, .personFillViewfinder, .textBelowPhoto, .textBelowPhotoFill, .checkerboardRectangle, .cameraMeteringCenterWeightedAverage, .cameraMeteringCenterWeighted, .cameraMeteringMatrix, .cameraMeteringMultispot, .cameraMeteringNone, .cameraMeteringPartial, .cameraMeteringSpot, .cameraMeteringUnknown, .cameraAperture, .rectangleDashed, .rectangleDashedBadgeRecord, .rectangleBadgePlus, .rectangleFillBadgePlus, .rectangleBadgeMinus, .rectangleFillBadgeMinus, .photoOnRectangleAngled, .sparklesRectangleStack, .sparklesRectangleStackFill, .sidebarLeading, .sidebarTrailing, .sidebarSquaresLeft, .sidebarSquaresRight, .sidebarSquaresLeading, .sidebarSquaresTrailing, .macwindowBadgePlus, .dockRectangle, .dockArrowUpRectangle, .dockArrowDownRectangle, .menubarRectangle, .menubarDockRectangle, .menubarDockRectangleBadgeRecord, .menubarArrowUpRectangle, .menubarArrowDownRectangle, .macwindowOnRectangle, .textAndCommandMacwindow, .keyboardMacwindow, .mosaic, .mosaicFill, .squareOnSquareSquareshapeControlhandles, .squareshapeControlhandlesOnSquareshapeControlhandles, .rectangleConnectedToLineBelow, .switch2, .pointTopleftDownCurvedtoPointBottomrightUp, .sliderVertical3, .cubeTransparent, .cubeTransparentFill, .shippingbox, .shippingboxFill, .cone, .coneFill, .pyramid, .pyramidFill, .squareStack3DDownForward, .squareStack3DDownForwardFill, .squareStack3DUpBadgeA, .squareStack3DUpBadgeAFill, .squareStack3DForwardDottedline, .squareStack3DForwardDottedlineFill, .livephotoBadgeA, .deskclock, .deskclockFill, .timerSquare, .clockArrowCirclepath, .exclamationmarkArrowCirclepath, .lJoystick, .lJoystickFill, .rJoystick, .rJoystickFill, .dpad, .dpadFill, .circleCircle, .circleCircleFill, .squareCircle, .squareCircleFill, .triangleCircle, .triangleCircleFill, .rectangleRoundedtop, .rectangleRoundedtopFill, .rectangleRoundedbottom, .rectangleRoundedbottomFill, .lRectangleRoundedbottom, .lRectangleRoundedbottomFill, .l1RectangleRoundedbottom, .l1RectangleRoundedbottomFill, .l2RectangleRoundedtop, .l2RectangleRoundedtopFill, .rRectangleRoundedbottom, .rRectangleRoundedbottomFill, .r1RectangleRoundedbottom, .r1RectangleRoundedbottomFill, .r2RectangleRoundedtop, .r2RectangleRoundedtopFill, .lbRectangleRoundedbottom, .lbRectangleRoundedbottomFill, .rbRectangleRoundedbottom, .rbRectangleRoundedbottomFill, .ltRectangleRoundedtop, .ltRectangleRoundedtopFill, .rtRectangleRoundedtop, .rtRectangleRoundedtopFill, .zlRectangleRoundedtop, .zlRectangleRoundedtopFill, .zrRectangleRoundedtop, .zrRectangleRoundedtopFill, .paintpalette, .paintpaletteFill, .figureWalk, .figureWalkCircle, .figureWalkCircleFill, .figureWalkDiamond, .figureWalkDiamondFill, .figureStand, .figureStandLineDottedFigureStand, .figureWave, .figureWaveCircle, .figureWaveCircleFill, .earBadgeCheckmark, .earTrianglebadgeExclamationmark, .earFill, .handPointUpLeft, .handPointUpLeftFill, .handTap, .handTapFill, .handPointUp, .handPointUpFill, .handPointUpBraille, .handPointUpBrailleFill, .handPointDown, .handPointDownFill, .handWave, .handWaveFill, .handsClap, .handsClapFill, .handsSparkles, .handsSparklesFill, .square2Stack3D, .square3Stack3D, .cylinder, .cylinderFill, .cylinderSplit1X2, .cylinderSplit1X2Fill, .chartBarXaxis, .dotSquareshapeSplit2X2, .squareshapeSplit2X2Dotted, .squareshapeSplit2X2, .squareshapeSplit3X3, .waveformPathEcgRectangle, .waveformPathEcgRectangleFill, .staroflifeCircle, .staroflifeCircleFill, .simcard, .simcardFill, .simcard2, .simcard2Fill, .sdcard, .sdcardFill, .esim, .esimFill, .touchid, .bonjour, .atom, .scalemass, .scalemassFill, .giftCircle, .giftCircleFill, .arrowDownApp, .arrowDownAppFill, .arrowUpForwardApp, .arrowUpForwardAppFill, .appclip, .hourglassBadgePlus, .banknote, .banknoteFill, .paragraphsign, .cameraFilters, .arrowLeftAndRightRighttriangleLeftRighttriangleRight, .arrowLeftAndRightRighttriangleLeftRighttriangleRightFill, .arrowUpAndDownRighttriangleUpRighttriangleDown, .arrowtriangleLeftAndLineVerticalAndArrowtriangleRight, .arrowtriangleRightAndLineVerticalAndArrowtriangleLeft, .lifepreserver, .lifepreserverFill, .binoculars, .binocularsFill, .battery100Bolt, .minusPlusBatteryblock, .minusPlusBatteryblockFill, .squareFillTextGrid1X2, .listTriangle, .listStar, .textRedaction, .listAndFilm, .abc, .shadow, .k, .fn, .aMagnify, .atCircle, .atCircleFill, .exclamationmark2, .exclamationmark3, .plusRectanglePortrait, .plusRectanglePortraitFill, .plusDiamond, .plusDiamondFill, .minusRectanglePortrait, .minusRectanglePortraitFill, .minusDiamond, .minusDiamondFill, .xmarkRectanglePortrait, .xmarkRectanglePortraitFill, .xmarkDiamond, .xmarkDiamondFill, .curlybraces, .curlybracesSquare, .curlybracesSquareFill, .checkmarkRectanglePortrait, .checkmarkRectanglePortraitFill, .chevronBackward, .chevronBackwardCircle, .chevronBackwardCircleFill, .chevronBackwardSquare, .chevronBackwardSquareFill, .chevronForward, .chevronForwardCircle, .chevronForwardCircleFill, .chevronForwardSquare, .chevronForwardSquareFill, .chevronBackward2, .chevronForward2, .arrowBackward, .arrowBackwardCircle, .arrowBackwardCircleFill, .arrowBackwardSquare, .arrowBackwardSquareFill, .arrowForward, .arrowForwardCircle, .arrowForwardCircleFill, .arrowForwardSquare, .arrowForwardSquareFill, .arrowUpBackward, .arrowUpBackwardCircle, .arrowUpBackwardCircleFill, .arrowUpBackwardSquare, .arrowUpBackwardSquareFill, .arrowUpForward, .arrowUpForwardCircle, .arrowUpForwardCircleFill, .arrowUpForwardSquare, .arrowUpForwardSquareFill, .arrowDownBackward, .arrowDownBackwardCircle, .arrowDownBackwardCircleFill, .arrowDownBackwardSquare, .arrowDownBackwardSquareFill, .arrowDownForward, .arrowDownForwardCircle, .arrowDownForwardCircleFill, .arrowDownForwardSquare, .arrowDownForwardSquareFill, .arrowLeftArrowRight, .arrowLeftArrowRightCircle, .arrowLeftArrowRightCircleFill, .arrowLeftArrowRightSquare, .arrowLeftArrowRightSquareFill, .arrowUturnLeftCircleBadgeEllipsis, .arrowUturnBackward, .arrowUturnBackwardCircle, .arrowUturnBackwardCircleFill, .arrowUturnBackwardCircleBadgeEllipsis, .arrowUturnBackwardSquare, .arrowUturnBackwardSquareFill, .arrowUturnForward, .arrowUturnForwardCircle, .arrowUturnForwardCircleFill, .arrowUturnForwardSquare, .arrowUturnForwardSquareFill, .arrowUpAndDownAndArrowLeftAndRight, .arrowUpLeftAndDownRightAndArrowUpRightAndDownLeft, .arrowUpLeftAndArrowDownRightCircle, .arrowUpLeftAndArrowDownRightCircleFill, .arrowUpBackwardAndArrowDownForward, .arrowUpBackwardAndArrowDownForwardCircle, .arrowUpBackwardAndArrowDownForwardCircleFill, .arrowDownRightAndArrowUpLeftCircle, .arrowDownRightAndArrowUpLeftCircleFill, .arrowDownForwardAndArrowUpBackward, .arrowDownForwardAndArrowUpBackwardCircle, .arrowDownForwardAndArrowUpBackwardCircleFill, .arrowTriangle2Circlepath, .arrowTriangle2CirclepathCircle, .arrowTriangle2CirclepathCircleFill, .exclamationmarkArrowTriangle2Circlepath, .arrowTriangleCapsulepath, .arrowTriangleTurnUpRightDiamond, .arrowTriangleTurnUpRightDiamondFill, .arrowTriangleTurnUpRightCircle, .arrowTriangleTurnUpRightCircleFill, .arrowTriangleMerge, .arrowTriangleSwap, .arrowTriangleBranch, .arrowTrianglePull, .arrowtriangleBackward, .arrowtriangleBackwardFill, .arrowtriangleBackwardCircle, .arrowtriangleBackwardCircleFill, .arrowtriangleBackwardSquare, .arrowtriangleBackwardSquareFill, .arrowtriangleForward, .arrowtriangleForwardFill, .arrowtriangleForwardCircle, .arrowtriangleForwardCircleFill, .arrowtriangleForwardSquare, .arrowtriangleForwardSquareFill, .shekelsignCircle, .shekelsignCircleFill, .shekelsignSquare, .shekelsignSquareFill, .flashlightOffFill, .flashlightOnFill, .scissorsBadgeEllipsis, .pinCircle, .pinCircleFill, .mappinCircle, .mappinCircleFill, .car, .studentdesk, .aspectratio, .aspectratioFill, .applelogo]
    }
    
    /// A collection of available values added from  SF Symbols 2.1
    @available(iOS 14.2, macOS 11.0, macCatalyst 14.2, tvOS 14.2, watchOS 7.1, *)
    private static var availableCasesFromSFSymbols2_1: [SFSymbols] {
        [.characterBookClosed, .characterBookClosedFill, .directcurrent, .aqiLow, .aqiMedium, .aqiHigh, .shuffleCircle, .shuffleCircleFill, .repeatCircle, .repeatCircleFill, .repeat1Circle, .repeat1CircleFill, .infinityCircle, .infinityCircleFill, .cartCircle, .cartCircleFill, .torus, .ipodtouchLandscape, .iphoneHomebuttonLandscape, .iphoneHomebuttonBadgePlay, .iphoneLandscape, .iphoneBadgePlay, .ipadHomebuttonBadgePlay, .ipadHomebuttonLandscapeBadgePlay, .ipadBadgePlay, .ipadLandscapeBadgePlay, .exclamationmarkApplewatch, .lockApplewatch, .playTv, .playTvFill, .photoTv, .tvAndMediabox, .rectangleBadgePersonCrop, .rectangleFillBadgePersonCrop, .clockArrow2Circlepath, .character, .textformatSizeSmaller, .textformatSizeLarger, .brazilianrealsignCircle, .brazilianrealsignCircleFill, .brazilianrealsignSquare, .brazilianrealsignSquareFill]
    }
    
    /// A collection of available values added from  SF Symbols 2.2
    @available(iOS 14.5, macOS 11.3, macCatalyst 14.5, tvOS 14.5, watchOS 7.4, *)
    private static var availableCasesFromSFSymbols2_2: [SFSymbols] {
        [.characterBubble, .characterBubbleFill, .applewatchSideRight, .airpodsmax, .homepodmini, .homepodminiFill, .homepodmini2, .homepodmini2Fill, .homepodAndHomepodmini, .homepodAndHomepodminiFill, .hifispeakerAndHomepodmini, .hifispeakerAndHomepodminiFill, .characterCursorIbeam, .characterTextbox]
    }
    
    /// A collection of available values added from  SF Symbols 3
    @available(iOS 15.0, macOS 12.0, macCatalyst 15.0, tvOS 15.0, watchOS 8.0, *)
    private static var availableCasesFromSFSymbols3: [SFSymbols] {
        [.squareAndArrowUpCircle, .squareAndArrowUpCircleFill, .squareAndArrowUpTrianglebadgeExclamationmark, .rectanglePortraitAndArrowRight, .rectanglePortraitAndArrowRightFill, .lassoAndSparkles, .trashSquare, .trashSquareFill, .trashSlashCircle, .trashSlashCircleFill, .trashSlashSquare, .trashSlashSquareFill, .folderBadgeGearshape, .folderFillBadgeGearshape, .plusRectangleOnFolderFill, .listBulletRectanglePortrait, .listBulletRectanglePortraitFill, .listBulletRectangleFill, .listDashHeaderRectangle, .calendarDayTimelineLeft, .calendarDayTimelineRight, .calendarDayTimelineLeading, .calendarDayTimelineTrailing, .booksVerticalCircle, .booksVerticalCircleFill, .bookClosedCircle, .bookClosedCircleFill, .menucard, .menucardFill, .magazine, .magazineFill, .newspaperCircle, .newspaperCircleFill, .squareTextSquare, .squareTextSquareFill, .docTextImage, .docTextImageFill, .bookmarkSquare, .bookmarkSquareFill, .graduationcapCircle, .graduationcapCircleFill, .personalhotspotCircle, .personalhotspotCircleFill, .personBadgeClock, .personBadgeClockFill, .shareplay, .shareplaySlash, .rectangleInsetFilledAndPersonFilled, .personWave2, .personWave2Fill, .person2Wave2, .person2Wave2Fill, .person3Sequence, .person3SequenceFill, .lanyardcard, .lanyardcardFill, .personCropCircleBadgeQuestionmarkFill, .personCropCircleBadgeExclamationmarkFill, .personCropCircleBadgeMoon, .personCropCircleBadgeMoonFill, .personCropCircleBadgeClock, .personCropCircleBadgeClockFill, .personCropCircleBadge, .personCropCircleBadgeFill, .personCropArtframe, .photoArtframe, .personCropRectangleStack, .personCropRectangleStackFill, .person2CropSquareStack, .person2CropSquareStackFill, .personCropSquareFilledAndAtRectangle, .personCropSquareFilledAndAtRectangleFill, .squareAndAtRectangleFill, .personTextRectangle, .personTextRectangleFill, .deleteBackward, .deleteBackwardFill, .deleteForward, .deleteForwardFill, .restartCircleFill, .sleepCircle, .sleepCircleFill, .wakeCircle, .wakeCircleFill, .powerCircle, .powerCircleFill, .powerDotted, .alternatingcurrent, .peacesign, .globeBadgeChevronBackward, .networkBadgeShieldHalfFilled, .globeAmericas, .globeAmericasFill, .globeEuropeAfrica, .globeEuropeAfricaFill, .globeAsiaAustralia, .globeAsiaAustraliaFill, .sunMaxCircle, .sunMaxCircleFill, .sunAndHorizon, .sunAndHorizonFill, .snowflake, .snowflakeCircle, .snowflakeCircleFill, .humidity, .humidityFill, .flameCircle, .flameCircleFill, .dotCircleAndHandPointUpLeftFill, .keyboardFill, .rectangle3Group, .rectangle3GroupFill, .squareGrid3X1BelowLineGrid1X2Fill, .circleGrid3X3Circle, .circleGrid3X3CircleFill, .squareGrid3X3TopleftFilled, .squareGrid3X3TopmiddleFilled, .squareGrid3X3ToprightFilled, .squareGrid3X3MiddleleftFilled, .squareGrid3X3MiddleFilled, .squareGrid3X3MiddlerightFilled, .squareGrid3X3BottomleftFilled, .squareGrid3X3BottommiddleFilled, .squareGrid3X3BottomrightFilled, .circleHexagongrid, .circleHexagongridFill, .circleHexagongridCircle, .circleHexagongridCircleFill, .circleHexagonpath, .circleHexagonpathFill, .circleGridCrossLeftFilled, .circleGridCrossUpFilled, .circleGridCrossRightFilled, .circleGridCrossDownFilled, .dropCircle, .dropCircleFill, .playSquare, .playSquareFill, .backwardCircle, .backwardCircleFill, .forwardCircle, .forwardCircleFill, .speakerCircle, .speakerCircleFill, .speakerBadgeExclamationmark, .speakerBadgeExclamationmarkFill, .musicMicCircle, .musicMicCircleFill, .goforward5, .gobackward5, .sparkleMagnifyingglass, .locationMagnifyingglass, .micSquare, .micSquareFill, .micSlashCircle, .micSlashCircleFill, .micBadgePlus, .micFillBadgePlus, .circleSlash, .circleSlashFill, .circleLefthalfFilled, .circleRighthalfFilled, .circleTophalfFilled, .circleBottomhalfFilled, .circleInsetFilled, .smallcircleFilledCircle, .smallcircleFilledCircleFill, .circleDashedInsetFilled, .circleDotted, .capsuleLefthalfFilled, .capsuleRighthalfFilled, .capsuleTophalfFilled, .capsuleBottomhalfFilled, .capsuleInsetFilled, .capsulePortraitLefthalfFilled, .capsulePortraitRighthalfFilled, .capsulePortraitTophalfFilled, .capsulePortraitBottomhalfFilled, .capsulePortraitInsetFilled, .ovalLefthalfFilled, .ovalRighthalfFilled, .ovalTophalfFilled, .ovalBottomhalfFilled, .ovalInsetFilled, .ovalPortraitLefthalfFilled, .ovalPortraitRighthalfFilled, .ovalPortraitTophalfFilled, .ovalPortraitBottomhalfFilled, .ovalPortraitInsetFilled, .squareLefthalfFilled, .squareRighthalfFilled, .squareTophalfFilled, .squareBottomhalfFilled, .squareInsetFilled, .circleSquareFill, .squareDashedInsetFilled, .plusSquareDashed, .squareFilledOnSquare, .handRaisedSquareOnSquare, .handRaisedSquareOnSquareFill, .sparklesSquareFilledOnSquare, .rSquareOnSquareFill, .jSquareOnSquareFill, .hSquareOnSquareFill, .rectangleLefthalfFilled, .rectangleRighthalfFilled, .rectangleTophalfFilled, .rectangleBottomhalfFilled, .rectangleSplit2X1Slash, .rectangleSplit2X1SlashFill, .tablecellsFillBadgeEllipsis, .rectangleInsetFilled, .rectangleTophalfInsetFilled, .rectangleBottomhalfInsetFilled, .rectangleLefthalfInsetFilled, .rectangleRighthalfInsetFilled, .rectangleLeadinghalfInsetFilled, .rectangleTrailinghalfInsetFilled, .rectangleLefthalfInsetFilledArrowLeft, .rectangleRighthalfInsetFilledArrowRight, .rectangleLeadinghalfInsetFilledArrowLeading, .rectangleTrailinghalfInsetFilledArrowTrailing, .rectangleTopthirdInsetFilled, .rectangleBottomthirdInsetFilled, .rectangleLeftthirdInsetFilled, .rectangleRightthirdInsetFilled, .rectangleLeadingthirdInsetFilled, .rectangleTrailingthirdInsetFilled, .rectangleCenterInsetFilled, .rectangleCenterInsetFilledBadgePlus, .rectangleInsetTopleftFilled, .rectangleInsetToprightFilled, .rectangleInsetTopleadingFilled, .rectangleInsetToptrailingFilled, .rectangleInsetBottomleftFilled, .rectangleInsetBottomrightFilled, .rectangleInsetBottomleadingFilled, .rectangleInsetBottomtrailingFilled, .rectangleOnRectangleCircle, .rectangleOnRectangleCircleFill, .rectangleOnRectangleSquare, .rectangleOnRectangleSquareFill, .rectangleInsetFilledOnRectangle, .rectangleOnRectangleSlashFill, .rectangleOnRectangleSlashCircle, .rectangleOnRectangleSlashCircleFill, .playRectangleOnRectangle, .playRectangleOnRectangleFill, .playRectangleOnRectangleCircle, .playRectangleOnRectangleCircleFill, .rectanglePortraitSlash, .rectanglePortraitSlashFill, .rectanglePortraitLefthalfFilled, .rectanglePortraitRighthalfFilled, .rectanglePortraitTophalfFilled, .rectanglePortraitBottomhalfFilled, .rectanglePortraitInsetFilled, .rectanglePortraitTophalfInsetFilled, .rectanglePortraitBottomhalfInsetFilled, .rectanglePortraitLefthalfInsetFilled, .rectanglePortraitRighthalfInsetFilled, .rectanglePortraitLeadinghalfInsetFilled, .rectanglePortraitTrailinghalfInsetFilled, .rectanglePortraitTopthirdInsetFilled, .rectanglePortraitBottomthirdInsetFilled, .rectanglePortraitLeftthirdInsetFilled, .rectanglePortraitRightthirdInsetFilled, .rectanglePortraitLeadingthirdInsetFilled, .rectanglePortraitTrailingthirdInsetFilled, .rectanglePortraitCenterInsetFilled, .rectanglePortraitTopleftInsetFilled, .rectanglePortraitToprightInsetFilled, .rectanglePortraitTopleadingInsetFilled, .rectanglePortraitToptrailingInsetFilled, .rectanglePortraitBottomleftInsetFilled, .rectanglePortraitBottomrightInsetFilled, .rectanglePortraitBottomleadingInsetFilled, .rectanglePortraitBottomtrailingInsetFilled, .rectanglePortraitOnRectanglePortrait, .rectanglePortraitOnRectanglePortraitFill, .rectanglePortraitOnRectanglePortraitSlash, .rectanglePortraitOnRectanglePortraitSlashFill, .rectanglePortraitSplit2X1, .rectanglePortraitSplit2X1Fill, .rectanglePortraitSplit2X1Slash, .rectanglePortraitSplit2X1SlashFill, .triangleLefthalfFilled, .triangleRighthalfFilled, .triangleTophalfFilled, .triangleBottomhalfFilled, .triangleInsetFilled, .diamondCircle, .diamondCircleFill, .diamondLefthalfFilled, .diamondRighthalfFilled, .diamondTophalfFilled, .diamondBottomhalfFilled, .diamondInsetFilled, .octagonLefthalfFilled, .octagonRighthalfFilled, .octagonTophalfFilled, .octagonBottomhalfFilled, .hexagonLefthalfFilled, .hexagonRighthalfFilled, .hexagonTophalfFilled, .hexagonBottomhalfFilled, .pentagon, .pentagonFill, .pentagonLefthalfFilled, .pentagonRighthalfFilled, .pentagonTophalfFilled, .pentagonBottomhalfFilled, .heartSquare, .heartSquareFill, .heartRectangle, .heartRectangleFill, .starLeadinghalfFilled, .flagSquare, .flagSquareFill, .flag2Crossed, .flag2CrossedFill, .flagFilledAndFlagCrossed, .flagAndFlagFilledCrossed, .locationSquare, .locationSquareFill, .locationNorthCircle, .locationNorthCircleFill, .sensorTagRadiowavesForward, .sensorTagRadiowavesForwardFill, .airtagRadiowavesForward, .airtagRadiowavesForwardFill, .airtag, .airtagFill, .bellSquare, .bellSquareFill, .bellAndWaveform, .bellAndWaveformFill, .bellBadgeCircle, .bellBadgeCircleFill, .tagSquare, .tagSquareFill, .boltSquare, .boltSquareFill, .boltShield, .boltShieldFill, .eyeSquare, .eyeSquareFill, .eyeSlashCircle, .eyeSlashCircleFill, .eyeTrianglebadgeExclamationmark, .eyeTrianglebadgeExclamationmarkFill, .tshirt, .tshirtFill, .facemask, .facemaskFill, .brainHeadProfile, .brain, .icloudSquare, .icloudSquareFill, .cameraShutterButton, .cameraShutterButtonFill, .messageAndWaveform, .messageAndWaveformFill, .bubbleRightCircle, .bubbleRightCircleFill, .bubbleLeftCircle, .bubbleLeftCircleFill, .exclamationmarkBubbleCircle, .exclamationmarkBubbleCircleFill, .quoteOpening, .quoteClosing, .starBubble, .starBubbleFill, .checkmarkBubble, .checkmarkBubbleFill, .rectangle3GroupBubbleLeft, .rectangle3GroupBubbleLeftFill, .ellipsisVerticalBubble, .ellipsisVerticalBubbleFill, .bubbleLeftAndExclamationmarkBubbleRight, .bubbleLeftAndExclamationmarkBubbleRightFill, .phoneAndWaveform, .phoneAndWaveformFill, .teletypeAnswerCircle, .teletypeAnswerCircleFill, .videoSquare, .videoSquareFill, .videoBadgeEllipsis, .videoFillBadgeEllipsis, .videoAndWaveform, .videoAndWaveformFill, .envelopeBadgeShieldHalfFilled, .envelopeBadgeShieldHalfFilledFill, .gearCircle, .gearCircleFill, .gearBadgeCheckmark, .gearBadgeXmark, .gearBadgeQuestionmark, .gearshapeCircle, .gearshapeCircleFill, .scissorsCircle, .scissorsCircleFill, .creditcardAnd123, .creditcardTrianglebadgeExclamationmark, .dice, .diceFill, .squareGrid3X3Square, .linesMeasurementHorizontal, .hammerCircle, .hammerCircleFill, .screwdriver, .screwdriverFill, .stethoscopeCircle, .stethoscopeCircleFill, .printerFilledAndPaper, .printerDotmatrixFilledAndPaper, .briefcaseCircle, .briefcaseCircleFill, .suitcase, .suitcaseFill, .suitcaseCart, .suitcaseCartFill, .theatermasks, .theatermasksFill, .theatermasksCircle, .theatermasksCircleFill, .puzzlepieceExtension, .puzzlepieceExtensionFill, .buildingColumnsCircle, .buildingColumnsCircleFill, .wifiCircle, .wifiCircleFill, .wifiSquare, .wifiSquareFill, .pinSquare, .pinSquareFill, .mappinSquare, .mappinSquareFill, .mappinSlashCircle, .mappinSlashCircleFill, .mapCircle, .mapCircleFill, .powerplug, .powerplugFill, .cpuFill, .memorychipFill, .lockDisplay, .lockOpenDisplay, .displayAndArrowDown, .lockDesktopcomputer, .lockOpenDesktopcomputer, .desktopcomputerAndArrowDown, .desktopcomputerTrianglebadgeExclamationmark, .macproGen1Fill, .macproGen3Fill, .lockLaptopcomputer, .lockOpenLaptopcomputer, .laptopcomputerAndArrowDown, .laptopcomputerTrianglebadgeExclamationmark, .ipadAndIphone, .ipodtouchSlash, .iphoneHomebuttonCircle, .iphoneHomebuttonCircleFill, .iphoneHomebuttonRadiowavesLeftAndRightCircle, .iphoneHomebuttonRadiowavesLeftAndRightCircleFill, .iphoneHomebuttonSlashCircle, .iphoneHomebuttonSlashCircleFill, .iphoneCircle, .iphoneCircleFill, .iphoneRadiowavesLeftAndRightCircle, .iphoneRadiowavesLeftAndRightCircleFill, .iphoneSlashCircle, .iphoneSlashCircleFill, .lockIphone, .lockOpenIphone, .iphoneAndArrowForward, .iphoneRearCamera, .platter2FilledIphone, .platter2FilledIphoneLandscape, .iphoneSmartbatterycaseGen2, .iphoneSmartbatterycaseGen1, .lockIpad, .lockOpenIpad, .ipadAndArrowForward, .ipadRearCamera, .platter2FilledIpad, .platter2FilledIpadLandscape, .applepencil, .magicmouse, .magicmouseFill, .computermouse, .computermouseFill, .lockOpenApplewatch, .watchfaceApplewatchCase, .applewatchCaseInsetFilled, .platterFilledTopApplewatchCase, .platterFilledBottomApplewatchCase, .platterTopApplewatchCase, .platterBottomApplewatchCase, .digitalcrownArrowClockwise, .digitalcrownArrowClockwiseFill, .digitalcrownArrowCounterclockwise, .digitalcrownArrowCounterclockwiseFill, .digitalcrownPress, .digitalcrownPressFill, .digitalcrownHorizontalArrowClockwise, .digitalcrownHorizontalArrowClockwiseFill, .digitalcrownHorizontalArrowCounterclockwise, .digitalcrownHorizontalArrowCounterclockwiseFill, .digitalcrownHorizontalPress, .digitalcrownHorizontalPressFill, .beatsHeadphones, .earbuds, .earbudsCase, .earbudsCaseFill, .airpodsChargingcase, .airpodsChargingcaseFill, .airpodsChargingcaseWireless, .airpodsChargingcaseWirelessFill, .airpodsproChargingcaseWireless, .airpodsproChargingcaseWirelessFill, .beatsEarphones, .beatsPowerbeatspro, .beatsPowerbeatsproRight, .beatsPowerbeatsproLeft, .beatsPowerbeats, .beatsPowerbeats3, .beatsStudiobuds, .beatsStudiobudLeft, .beatsStudiobudRight, .beatsStudiobudsChargingcase, .beatsStudiobudsChargingcaseFill, .beatsPowerbeatsproChargingcase, .beatsPowerbeatsproChargingcaseFill, .homepodAndAppletv, .homepodAndAppletvFill, .homepodminiAndAppletv, .homepodminiAndAppletvFill, .hifispeakerAndAppletv, .hifispeakerAndAppletvFill, .appletvremoteGen1, .appletvremoteGen1Fill, .appletvremoteGen2, .appletvremoteGen2Fill, .appletvremoteGen3, .appletvremoteGen3Fill, .appletvremoteGen4, .appletvremoteGen4Fill, .magsafeBatterypack, .magsafeBatterypackFill, .mediastick, .cableConnector, .cableConnectorHorizontal, .tvInsetFilled, .sparklesTv, .sparklesTvFill, .musicNoteTv, .musicNoteTvFill, .airplayvideoCircle, .airplayvideoCircleFill, .airplayvideoBadgeExclamationmark, .airplayaudioCircle, .airplayaudioCircleFill, .airplayaudioBadgeExclamationmark, .dotRadiowavesUpForward, .antennaRadiowavesLeftAndRightSlash, .antennaRadiowavesLeftAndRightCircle, .antennaRadiowavesLeftAndRightCircleFill, .rectangle2Swap, .airplaneArrival, .airplaneDeparture, .boltCarCircle, .boltCarCircleFill, .tramFillTunnel, .cablecar, .cablecarFill, .ferry, .ferryFill, .carFerry, .carFerryFill, .trainSideFrontCar, .trainSideMiddleCar, .trainSideRearCar, .scooter, .parkingsign, .parkingsignCircle, .parkingsignCircleFill, .fuelpump, .fuelpumpFill, .fuelpumpCircle, .fuelpumpCircleFill, .fanblades, .fanbladesFill, .bedDoubleCircle, .bedDoubleCircleFill, .allergens, .pillsCircle, .pillsCircleFill, .testtube2, .ivfluidBag, .ivfluidBagFill, .crossVial, .crossVialFill, .pawprint, .pawprintFill, .pawprintCircle, .pawprintCircleFill, .leafCircle, .leafCircleFill, .filmCircle, .filmCircleFill, .docViewfinder, .docViewfinderFill, .textViewfinder, .dotViewfinder, .dotCircleViewfinder, .photoCircle, .photoCircleFill, .rectangleStackBadgePersonCropFill, .rectangleStackBadgePlay, .rectangleStackBadgePlayFill, .sliderHorizontal2RectangleAndArrowTriangle2Circlepath, .circleGrid2X1, .circleGrid2X1Fill, .circleGrid2X1LeftFilled, .circleGrid2X1RightFilled, .squareFillAndLineVerticalAndSquareFill, .squareFilledAndLineVerticalAndSquare, .squareAndLineVerticalAndSquareFilled, .alignHorizontalLeft, .alignHorizontalLeftFill, .alignHorizontalCenter, .alignHorizontalCenterFill, .alignHorizontalRight, .alignHorizontalRightFill, .alignVerticalTop, .alignVerticalTopFill, .alignVerticalCenter, .alignVerticalCenterFill, .alignVerticalBottom, .alignVerticalBottomFill, .shieldLefthalfFilled, .shieldRighthalfFilled, .shieldLefthalfFilledSlash, .checkerboardShield, .pointTopleftDownCurvedtoPointBottomrightUpFill, .pointTopleftDownCurvedtoPointFilledBottomrightUp, .pointFilledTopleftDownCurvedtoPointBottomrightUp, .appConnectedToAppBelowFill, .sliderHorizontalBelowSquareFilledAndSquare, .shippingboxCircle, .shippingboxCircleFill, .arkitBadgeXmark, .clockCircle, .clockCircleFill, .clockBadgeCheckmark, .clockBadgeCheckmarkFill, .clockBadgeExclamationmark, .clockBadgeExclamationmarkFill, .chartXyaxisLine, .lJoystickPressDown, .lJoystickPressDownFill, .rJoystickPressDown, .rJoystickPressDownFill, .lJoystickTiltLeft, .lJoystickTiltLeftFill, .lJoystickTiltRight, .lJoystickTiltRightFill, .lJoystickTiltUp, .lJoystickTiltUpFill, .lJoystickTiltDown, .lJoystickTiltDownFill, .rJoystickTiltLeft, .rJoystickTiltLeftFill, .rJoystickTiltRight, .rJoystickTiltRightFill, .rJoystickTiltUp, .rJoystickTiltUpFill, .rJoystickTiltDown, .rJoystickTiltDownFill, .dpadLeftFilled, .dpadUpFilled, .dpadRightFilled, .dpadDownFilled, .logoPlaystation, .logoXbox, .cupAndSaucer, .cupAndSaucerFill, .takeoutbagAndCupAndStraw, .takeoutbagAndCupAndStrawFill, .forkKnife, .forkKnifeCircle, .forkKnifeCircleFill, .figureRoll, .earAndWaveform, .hearingdeviceEar, .handRaisedCircle, .handRaisedCircleFill, .handRaisedSquare, .handRaisedSquareFill, .handThumbsupCircle, .handThumbsupCircleFill, .handThumbsdownCircle, .handThumbsdownCircleFill, .rectangleAndHandPointUpLeft, .rectangleAndHandPointUpLeftFill, .rectangleFilledAndHandPointUpLeft, .rectangleAndHandPointUpLeftFilled, .square2Stack3DTopFilled, .square2Stack3DBottomFilled, .square3Stack3DTopFilled, .square3Stack3DMiddleFilled, .square3Stack3DBottomFilled, .chartLineUptrendXyaxis, .chartLineUptrendXyaxisCircle, .chartLineUptrendXyaxisCircleFill, .point3ConnectedTrianglepathDotted, .point3FilledConnectedTrianglepathDotted, .waveformBadgePlus, .waveformBadgeMinus, .waveformBadgeExclamationmark, .waveformAndMagnifyingglass, .waveformAndMic, .xmarkApp, .xmarkAppFill, .questionmarkApp, .questionmarkAppFill, .appBadgeCheckmark, .appBadgeCheckmarkFill, .appDashed, .questionmarkAppDashed, .hourglassCircle, .hourglassCircleFill, .hourglassBottomhalfFilled, .hourglassTophalfFilled, .circleAndLineHorizontal, .circleAndLineHorizontalFill, .trapezoidAndLineVertical, .trapezoidAndLineVerticalFill, .trapezoidAndLineHorizontal, .trapezoidAndLineHorizontalFill, .arrowUpAndDownRighttriangleUpRighttriangleDownFill, .arrowtriangleLeftAndLineVerticalAndArrowtriangleRightFill, .arrowtriangleRightAndLineVerticalAndArrowtriangleLeftFill, .battery75, .battery50, .boltBatteryblock, .boltBatteryblockFill, .lightbulbCircle, .lightbulbCircleFill, .fibrechannel, .checklist, .listBulletCircle, .listBulletCircleFill, .line3Horizontal, .line3HorizontalDecrease, .line3HorizontalDecreaseCircle, .line3HorizontalDecreaseCircleFill, .line3HorizontalCircle, .line3HorizontalCircleFill, .line2HorizontalDecreaseCircle, .line2HorizontalDecreaseCircleFill, ._123Rectangle, ._123RectangleFill, .plusForwardslashMinus, .minusForwardslashPlus, .chevronLeftForwardslashChevronRight, .parentheses, .ellipsisCurlybraces, .checkmarkCircleTrianglebadgeExclamationmark, .checkmarkDiamond, .checkmarkDiamondFill, .arrowUpToLineCompact, .arrowUpToLineCircle, .arrowUpToLineCircleFill, .arrowDownToLineCompact, .arrowDownToLineCircle, .arrowDownToLineCircleFill, .arrowLeftToLineCompact, .arrowLeftToLineCircle, .arrowLeftToLineCircleFill, .arrowBackwardToLine, .arrowBackwardToLineCircle, .arrowBackwardToLineCircleFill, .arrowRightToLineCompact, .arrowRightToLineCircle, .arrowRightToLineCircleFill, .arrowForwardToLine, .arrowForwardToLineCircle, .arrowForwardToLineCircleFill, .returnLeft, .returnRight, .asterisk]
    }
    
    /// A collection of available values added from  SF Symbols 3.1
    @available(iOS 15.1, macOS 12.0, macCatalyst 15.1, tvOS 15.1, watchOS 8.1, *)
    private static var availableCasesFromSFSymbols3_1: [SFSymbols] {
        [.boltRingClosed, .platterFilledTopIphone, .platterFilledBottomIphone, .platterFilledTopAndArrowUpIphone, .platterFilledBottomAndArrowDownIphone, .square3Layers3DDownRight, .square3Layers3DDownLeft, .square3Layers3DDownForward, .square3Layers3DDownBackward, .textJustifyLeft, .textJustifyRight, .textJustifyLeading, .textJustifyTrailing]
    }
    
    /// A collection of available values added from  SF Symbols 3.2
    @available(iOS 15.2, macOS 12.1, macCatalyst 15.2, tvOS 15.2, watchOS 8.3, *)
    private static var availableCasesFromSFSymbols3_2: [SFSymbols] {
        [.rectangleLeadinghalfFilled, .rectangleTrailinghalfFilled, .airpodsGen3, .airpodGen3Right, .airpodGen3Left, .airpodsGen3ChargingcaseWireless, .airpodsGen3ChargingcaseWirelessFill, .beatsFitPro, .beatsFitProLeft, .beatsFitProRight, .beatsFitProChargingcase, .beatsFitProChargingcaseFill, .square3Layers3DDownRightSlash, .square3Layers3DDownLeftSlash, .square3Stack3DSlash]
    }
    
    /// A collection of available values added from  SF Symbols 3.3
    @available(iOS 15.4, macOS 12.3, macCatalyst 15.4, tvOS 15.4, watchOS 8.5, *)
    private static var availableCasesFromSFSymbols3_3: [SFSymbols] {
        [.personBadgeKey, .personBadgeKeyFill, .dotsAndLineVerticalAndCursorarrowRectangle, .cameraMacro, .cameraMacroCircle, .cameraMacroCircleFill, .keyViewfinder]
    }
}
